import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { IntangibleFactory } from '@react-microdata/intangible';
class DefinedTerm extends Mixin(IntangibleFactory, ItemFactory) {
    termCode({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "termCode", itemScope });
    }
    ;
    inDefinedTermSet({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "inDefinedTermSet", itemScope });
    }
    ;
}
const DefinedTermFactory = new DefinedTerm();
export { DefinedTermFactory };
export default DefinedTerm;
//# sourceMappingURL=DefinedTermFactory.js.map